<template>
  <PageLayout title="设置" class="setting-page-wrapper" hasBorder>
    <List>
      <!-- <ListItem :icon="IconAccount" title="个人信息" @click="goUserInfo"></ListItem> -->
      <ListItem :icon="IconWarning" title="隐私协议" @click="goPrivacyAgreement"></ListItem>
      <ListItem :icon="IconNote" title="信息发布规则" @click="goFaq"></ListItem>
      <ListItem :icon="IconWx" title="微信授权设置" @click="goWxSetting"></ListItem>
      <ListItem :icon="IconCoo" title="平台合作" @click="goCooperation"></ListItem>
      <ListItem :icon="IconLoginout" title="退出登录" @click="handleLoginout"></ListItem>
    </List>
  </PageLayout>
</template>

<script setup lang="ts">
import { PageLayout } from '@/components';
import { List, ListItem } from '@12333/components';
import IconWarning from '@/assets/setting/icon-warning.png';
import IconCoo from '@/assets/setting/icon-coo.png';
import IconLoginout from '@/assets/setting/icon-loginout.png';
import IconNote from '@/assets/setting/icon-note.png';
import IconWx from '@/assets/setting/icon-wx.png';
import { Message } from '@12333/utils';
import { useUserStore } from '@/stores/modules/user';
import { useQueryClient } from '@tanstack/vue-query';
import Taro from '@tarojs/taro';

defineOptions({
  name: 'setting',
});

const userStore = useUserStore();
const queryClient = useQueryClient();

function goUserInfo() {
  Taro.navigateTo({
    url: RouterPath.userInfo,
  });
}

function goPrivacyAgreement() {
  Taro.navigateTo({
    url: RouterPath.userPolicy,
  });
}

function goCooperation() {
  Taro.navigateTo({
    url: RouterPath.cooperation,
  });
}

function goWxSetting() {
  // Taro.navigateTo({
  //   url: RouterPath.wxSetting,
  // });
  Taro.openSetting({});
}

function goFaq() {
  Taro.navigateTo({
    url: RouterPath.faq,
  });
}

async function handleLoginout() {
  try {
    await Message.confirm({
      message: '确定要退出登录吗？',
    });
    userStore.logoutAndToHome();
    queryClient.removeQueries();
  } catch (error) {}
}
</script>
